GFARM_INITIALIZE(3)

NAME
gfarm_initialize - initialize the Gfarm execution environment for client

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfarm_initialize(int *argcp, char *** argvp);

DESCRIPTION

gfarm_initialize() initializes the Gfarm execution environment for client application. This function should be called before any Gfarm library API. argcp is a pointer to the number of arguments and argvp is a pointer to the argument vector.

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

GFARM_ERR_NO_MEMORY
    Insufficient memory was available.

GFARM_ERR_UNKNOWN_HOST
    The metadata server cannot be resolved.

GFARM_ERR_NETWORK_IS_UNREACHABLE
    Network is unrechable.

GFARM_ERR_OPERATION_TIMED_OUT
    Connetion timeout occurs.

GFARM_ERR_PROTOCOL
    Protocol error occurs.

GFARM_ERR_BROKEN_PIPE
    Connection to the metadata server is broken.

GFARM_ERR_PERMISSION_DENIED
    The requested access to the file is not allowed, or one of the directories in gfarm_url did not allow search (execute) permission. Or, the authentication to the metadata server fails.

GFARM_ERR_PROTOCOL_NOT_SUPPORTED
    Specified authentication protocol is not supported.

GFARM_ERR_AUTHENTICATION
    User authentication failed when connecting to the metadata server.

Others
    An error except the above occurred. The reason is shown by its gfarm_error_string(3).

SEE ALSO

gfarm_terminate(3)